import {
  __decorateClass
} from "../../chunks/chunk.QU3DSPNU.js";
import { css } from "lit";
import { property } from "lit/decorators.js";
import { GdsElement } from "../../gds-element.js";
import { gdsCustomElement, html } from "../../scoping.js";
let GdsBackdrop = class extends GdsElement {
  constructor() {
    super(...arguments);
    this.show = false;
  }
  render() {
    return html``;
  }
};
GdsBackdrop.styles = css`
    :host {
      display: none;
      position: fixed;
      inset: 0;
      background-color: rgba(0, 0, 0, 0.25);
      width: 100%;
      height: 100%;
    }

    :host([show]) {
      display: block;
    }
  `;
__decorateClass([
  property({ type: Boolean, reflect: true })
], GdsBackdrop.prototype, "show", 2);
GdsBackdrop = __decorateClass([
  gdsCustomElement("gds-backdrop")
], GdsBackdrop);
export {
  GdsBackdrop
};
